package com.example.leudaemialikeme.Model;

import java.io.Serializable;
import java.sql.Timestamp;

public class News implements Serializable {
    private static final long serialVersionUID = 1L;

    private int nid;
    private int sid;
    private String stype;
    private String stittle;
    private String scontent;
    private Timestamp stime;
    private int sbrowseNum;

    public News(){

    }
    public News(int nid, int sid, String stype, String stittle, String scontent, Timestamp stime, int sbrowseNum) {
        this.nid = nid;
        this.sid = sid;
        this.stype = stype;
        this.stittle = stittle;
        this.scontent = scontent;
        this.stime = stime;
        this.sbrowseNum = sbrowseNum;
    }


    public int getNid() {
        return nid;
    }

    public int getSid() {
        return sid;
    }

    public String getStype() {
        return stype;
    }

    public String getStittle() {
        return stittle;
    }

    public String getScontent() {
        return scontent;
    }

    public int getSbrowseNum() {
        return sbrowseNum;
    }

    public Timestamp getStime() {
        return stime;
    }

    public void setNid(int nid) {
        this.nid = nid;
    }

    public void setSid(int sid) {
        this.sid = sid;
    }

    public void setStype(String stype) {
        this.stype = stype;
    }

    public void setStittle(String stittle) {
        this.stittle = stittle;
    }

    public void setScontent(String scontent) {
        this.scontent = scontent;
    }

    public void setStime(Timestamp stime) {
        this.stime = stime;
    }

    public void setSbrowseNum(int sbrowseNum) {
        this.sbrowseNum = sbrowseNum;
    }
}
